Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1066910 - sr_RS@latin, sr_RS.UTF-8@latin: “locale not supported by Xlib, locale set to C”
Summary: sr_RS@latin, sr_RS.UTF-8@latin: “locale not supported by Xlib, locale set to C”
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: libX11
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-19 10:25 UTC by Mike FABIAN
Modified: 2016-07-20 10:09 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 11:01:56 UTC


Attachments (Terms of Use)
0002-add-be_BY.UTF-8-latin-and-sr_RS.UTF-8-latin-to-local.patch (deleted)
2014-02-19 11:24 UTC, Mike FABIAN
no flags Details | Diff
0001-fix-spelling-mistakes-in-ks_IN-and-sd_IN-devanagari-.patch (deleted)
2014-02-19 11:25 UTC, Mike FABIAN
no flags Details | Diff
0001-Fix-spelling-mistake-introduced-by-748d47e69f5c12d85.patch (deleted)
2015-04-20 16:02 UTC, Mike FABIAN
no flags Details | Diff

Description Mike FABIAN 2014-02-19 10:25:28 UTC
glibc has these locales for Serbian in Latin script:

    mfabian@ari:~
    $ locale -a | grep ^sr.*latin
    sr_RS.utf8@latin
    sr_RS@latin
    mfabian@ari:~
    $ LC_ALL=sr_RS.UTF-8@latin locale charmap
    UTF-8
    mfabian@ari:~
    $ LC_ALL=sr_RS@latin locale charmap
    UTF-8
    mfabian@ari:~
    $ 

Both UTF-8. But they are not supported by Xlib:

    mfabian@ari:~
    $ LANG=sr_RS@latin xterm
    Warning: locale not supported by Xlib, locale set to C
    mfabian@ari:~
    $ LANG=sr_RS@latin xmms
    
    Gdk-WARNING **: locale not supported by Xlib, locale set to C
    Message: device: default
    
    mfabian@ari:~
    $ LANG=sr_RS.UTF-8@latin xterm
    Warning: locale not supported by Xlib, locale set to C
    mfabian@ari:~
    $ LANG=sr_RS.UTF-8@latin xmms
    
    Gdk-WARNING **: locale not supported by Xlib, locale set to C
    Message: device: default
    mfabian@ari:~
    $ 

That causes the problem that the Serbian translations in Latin
script are not found when xmms is started like

    LANG=sr_RS.UTF-8@latin xmms

although such translations exist:

    mfabian@ari:~
    $ rpm -ql xmms | grep sr@latin
    /usr/share/locale/sr@latin/LC_MESSAGES/xmms.mo
    mfabian@ari:~
    $ 

(They were in a wrong sr@Latn directory but in
xmms-1.2.11-20.20071117cvs.fc20.x86_64 they are in the correct
directory now).

I will attach a patch for libX11 to fix this ...

Comment 1 Mike FABIAN 2014-02-19 11:24:29 UTC
Created attachment 865038 [details]
0002-add-be_BY.UTF-8-latin-and-sr_RS.UTF-8-latin-to-local.patch

Patch to fix the problem

Comment 2 Mike FABIAN 2014-02-19 11:25:55 UTC
Created attachment 865040 [details]
0001-fix-spelling-mistakes-in-ks_IN-and-sd_IN-devanagari-.patch

Another patch to fix spelling mistakes in Indic devanagari locales.
These locales exist with different (correct) spelling in glibc,
if the glibc locales are used,  it does not work because of the typos
in the X11 locales.

Comment 3 Mike FABIAN 2014-02-19 11:29:38 UTC
I built libX11 rpm package for Fedora 20 to test this and it works.

Comment 4 Mike FABIAN 2014-02-19 18:00:21 UTC
I reported the be_BY.UTF-8 adn sr_RS.UTF-8 problem upstream as: https://bugs.freedesktop.org/show_bug.cgi?id=75220

Comment 5 Mike FABIAN 2014-02-19 18:07:08 UTC
And I reported the spelling mistake in the devanagari locales here:

https://bugs.freedesktop.org/show_bug.cgi?id=75222

Comment 7 Mike FABIAN 2015-04-20 09:55:17 UTC
This problem still exists in Fedora-Live-Workstation-x86_64-22_Beta-3.iso

Comment 8 James Cloos 2015-04-20 14:46:17 UTC
Mike's patch has been pushed upstream.

Comment 9 Mike FABIAN 2015-04-20 15:53:30 UTC
(In reply to James Cloos from comment #8)
> Mike's patch has been pushed upstream.

Ah, good, I see it in git master now! Thank you!

Comment 10 Mike FABIAN 2015-04-20 15:57:49 UTC
Oh, sorry, one hunk of my patch replaced one typo with another:

--- a/nls/locale.alias.pre
+++ b/nls/locale.alias.pre
@@ -982,9 +982,9 @@ rw_RW.ISO-8859-1:           rw_RW.ISO8859-1
 rw_RW.utf8:                 rw_RW.UTF-8
 sd:                                            sd_IN.UTF-8
 sd_IN.utf8:                                    sd_IN.UTF-8
-sd@devanagari:                                 sd_IN@devanagari.UTF-8
-sd_IN@devanagari:                              sd_IN@devanagari.UTF-8
-sd_IN@devanagari.utf8:                         sd_IN@devanagari.UTF-8
+sd@devanagari:                                 sd_INUTF-8@devanagari
+sd_IN@devanagari:                              sd_INUTF-8@devanagari
+sd_IN.utf8@devanagari:                         sd_INUTF-8@devanagari
 se_NO:                                         se_NO.UTF-8
 se_NO.utf8:                                    se_NO.UTF-8
 XCOMM sh was the old ISO code for Serbo-Croatian (now individual sr and hr).



The “.” is missing, it should be “sd_IN.UTF-8@devanagari”.

Sorry!

Comment 11 Mike FABIAN 2015-04-20 16:02:04 UTC
Created attachment 1016440 [details]
0001-Fix-spelling-mistake-introduced-by-748d47e69f5c12d85.patch

Fix the spelling mistake I introduced.

Comment 12 James Cloos 2015-04-20 19:57:31 UTC
I should have seen that when I reviewed it.  ☹

The spelling patch is pushed as d3415d1f052530760b4617db45affcb984cfe35c.

Comment 13 Fedora End Of Life 2015-05-29 10:58:41 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Mike FABIAN 2015-06-01 10:50:11 UTC
The fix is not yet in Fedora 22.

Comment 15 Mike FABIAN 2016-03-16 07:47:28 UTC
The fix is not yet in rawhide:

[mfabian@Fedora-Workstation-netinst-x86_6 locale]$ grep sd_IN locale.alias 
sd                                              sd_IN.UTF-8
sd_IN.utf8                                      sd_IN.UTF-8
sd@devanagari                                   sd_IN@devanagari.UTF-8
sd_IN@devanagari                                sd_IN@devanagari.UTF-8
sd_IN@devanagari.utf8                           sd_IN@devanagari.UTF-8
sd:                                             sd_IN.UTF-8
sd_IN.utf8:                                     sd_IN.UTF-8
sd@devanagari:                                  sd_IN@devanagari.UTF-8
sd_IN@devanagari:                               sd_IN@devanagari.UTF-8
sd_IN@devanagari.utf8:                          sd_IN@devanagari.UTF-8
[mfabian@Fedora-Workstation-netinst-x86_6 locale]$ cat /etc/fedora-release 
Fedora release 25 (Rawhide)
[mfabian@Fedora-Workstation-netinst-x86_6 locale]$

Comment 16 Fedora End Of Life 2016-07-19 11:01:56 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 17 Mike FABIAN 2016-07-20 10:09:51 UTC
The fix is not yet in Fedora 24.


Note You need to log in before you can comment on or make changes to this bug.